package edu.mermet.tp8.fenetres.modales;

import java.awt.Frame ;
import java.awt.GridLayout ;

import javax.swing.JButton ;
import javax.swing.JDialog ;
import javax.swing.JLabel ;
import javax.swing.JPanel ;
import javax.swing.JRadioButton ;

public class ConfigurationMenusDialogue extends JDialog {
  
  JLabel conversion;
  JLabel saisie;
  JLabel diapo;
  JLabel boutons;
  
  JRadioButton conversionAuto;
  JRadioButton saisieAuto;
  JRadioButton diapoAuto;
  JRadioButton boutonsAuto;
  
  JRadioButton conversionAffiche;
  JRadioButton saisieAffiche;
  JRadioButton diapoAffiche;
  JRadioButton boutonsAffiche;
  
  JRadioButton conversionCache;
  JRadioButton saisieCache;
  JRadioButton diapoCache;
  JRadioButton boutonsCache;
  
  JButton valider;
  JButton annuler;
  
  JPanel grille;
  JPanel valAnn;
  JPanel ensemble;
  
  public ConfigurationMenusDialogue(Frame owner) {
    super(owner,"Configuration des menus", true);
    setSize(500, 300);
    setLocationRelativeTo(null);
    setVisible(true);
    init();
  }
  
  public void init() {
    GridLayout grid = new GridLayout(4,4);
    grille = new JPanel(grid);
    valAnn = new JPanel();
    ensemble = new JPanel();
    remplPanes ( ) ;
    ensemble.add(grille);
    ensemble.add (valAnn);
    add(ensemble);
  }

  private void remplPanes ( ) {
    conversion = new JLabel("Conversion Celsius/Farenheit"); grille.add(conversion);
    conversionAuto = new JRadioButton("Auto");grille.add(conversionAuto);
    conversionAffiche = new JRadioButton("Affiche");grille.add(conversionAffiche);
    conversionCache = new JRadioButton("Caché");grille.add(conversionCache);
    
    saisie = new JLabel("Saisie de texte");grille.add(saisie);
    saisieAuto = new JRadioButton("Auto");grille.add(saisieAuto);
    saisieAffiche = new JRadioButton("Affiche");grille.add(saisieAffiche);
    saisieCache = new JRadioButton("Caché");grille.add(saisieCache);
    
    diapo = new JLabel("Diaporama");grille.add(diapo);
    diapoAuto = new JRadioButton("Auto");grille.add(diapoAuto);
    diapoAffiche = new JRadioButton("Affiche");grille.add(diapoAffiche);
    diapoCache = new JRadioButton("Caché");grille.add(diapoCache);
    
    boutons = new JLabel("Boutons");grille.add(boutons);
    boutonsAuto = new JRadioButton("Auto");grille.add(boutonsAuto);
    boutonsAffiche = new JRadioButton("Affiche");grille.add(boutonsAffiche);
    boutonsCache = new JRadioButton("Caché");grille.add(boutonsCache);
     
    valider = new JButton("Valider");valAnn.add (valider);
    annuler = new JButton("Annuler");valAnn.add (annuler);
  }
  
}
